
#ifndef MPRINTF_DOT_H_INCLUDED
#define MPRINTF_DOT_H_INCLUDED

#ifdef __cplusplus
extern "C"
{
#endif
  size_t vgenprintf (void (*write) (void *arg, const char *buf, size_t len),
		     void *arg, const char *fmt, va_list args);
  size_t genprintf (void (*write) (void *arg, const char *buf, size_t len),
		    void *arg, const char *fmt, ...);
  size_t fdprintf (int fd, const char *fmt, ...);
  char *vmprintf (const char *fmt, va_list ap);
  size_t vnprintf (const char *fmt, va_list ap);
  char *mprintf (const char *fmt, ...);
#ifdef __cplusplus
}
#endif

#endif
